org.openstreetmap.josm.plugins.streetside.mode

## Class SelectMode

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.openstreetmap.josm.plugins.streetside.mode.AbstractMode
    - - org.openstreetmap.josm.plugins.streetside.mode.SelectMode

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, org.openstreetmap.josm.gui.NavigatableComponent.ZoomChangeListener

      public class SelectMode
      extends AbstractMode

  Handles the input event related with the layer. Mainly clicks.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideAbstractImage` | `closest`
    `private boolean` | `imageHighlighted`
    `private StreetsideAbstractImage` | `lastClicked`
    `private boolean` | `nothingHighlighted`
    `private StreetsideRecord` | `record`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.mode.AbstractMode

      `cursor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectMode()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mouseMoved(java.awt.event.MouseEvent e)` Checks if the mouse is over pictures.
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `paint(java.awt.Graphics2D g, org.openstreetmap.josm.gui.MapView mv, org.openstreetmap.josm.data.Bounds box)` Paint the dataset using the engine set.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.mode.AbstractMode

      `getClosest, resetThread, zoomChanged`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### closest

          private StreetsideAbstractImage closest

    - #### lastClicked

          private StreetsideAbstractImage lastClicked

    - #### record

          private final StreetsideRecord record

    - #### nothingHighlighted

          private boolean nothingHighlighted

    - #### imageHighlighted

          private boolean imageHighlighted

  - ### Constructor Detail

    - #### SelectMode

          public SelectMode()

      Main constructor.

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `java.awt.event.MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `java.awt.event.MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `java.awt.event.MouseAdapter`

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent e)

      Checks if the mouse is over pictures.
      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseMoved` in class `java.awt.event.MouseAdapter`

    - #### paint

          public void paint(java.awt.Graphics2D g,
                            org.openstreetmap.josm.gui.MapView mv,
                            org.openstreetmap.josm.data.Bounds box)

      Description copied from class: `AbstractMode`
      Paint the dataset using the engine set.
      Specified by:
        `paint` in class `AbstractMode`
      Parameters:
        `g` - `Graphics2D` used for painting
        `mv` - The object that can translate GeoPoints to screen coordinates.
        `box` - Area where painting is going to be performed

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

JOSM Plugins